Package net.shibboleth.shared.logic

# Enum Class BiPredicateSupport.ObjectBiPredicate

java.lang.Object
java.lang.Enum<BiPredicateSupport.ObjectBiPredicate>
net.shibboleth.shared.logic.BiPredicateSupport.ObjectBiPredicate

All Implemented Interfaces:
  `Serializable`, `Comparable<BiPredicateSupport.ObjectBiPredicate>`, `Constable`, `BiPredicate<Object,Object>`

Enclosing class:
  BiPredicateSupport

static enum BiPredicateSupport.ObjectBiPredicate extends Enum<BiPredicateSupport.ObjectBiPredicate> implements BiPredicate<Object,Object>
Private enum to optimize the true/false objects.

Since:
  9.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS_FALSE`
`ALWAYS_TRUE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ObjectBiPredicate()`

## Method Summary

Modifier and Type
Method
Description
`static BiPredicateSupport.ObjectBiPredicate`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BiPredicateSupport.ObjectBiPredicate[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`(package private) <T, U> BiPredicate<T,U>`
`withNarrowedType()`
Internalizes the cast for generic use.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or, test`

## Enum Constant Details

### ALWAYS_TRUE

public static final BiPredicateSupport.ObjectBiPredicate ALWAYS_TRUE

See Also:
  - `BiPredicateSupport.alwaysTrue()`

### ALWAYS_FALSE

public static final BiPredicateSupport.ObjectBiPredicate ALWAYS_FALSE

See Also:
  - `BiPredicateSupport.alwaysFalse()`

## Constructor Details

### ObjectBiPredicate

private ObjectBiPredicate()

## Method Details

### values

public static BiPredicateSupport.ObjectBiPredicate[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BiPredicateSupport.ObjectBiPredicate valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### withNarrowedType

@Nonnull <T, U> BiPredicate<T,U> withNarrowedType()
Internalizes the cast for generic use.

Type Parameters:
  `T` - first argument type
  `U` - second argument type
Returns:
  a casted object